﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using FarPoint.Win.Spread;

namespace DecimalNumber
{
    public class ERMSpread : FarPoint.Win.Spread.FpSpread
    {
        public ERMSpread()
        {
            HorizontalScrollBarHeight = 20; // -1= Default
        }

        internal ERMSheetView GetSheetFromDisplayType(EDisplayType eDisplayType)
        {
            foreach (SheetView sheetView in Sheets)
            {
                System.Diagnostics.Debug.Assert(sheetView is ERMSheetView);

                if ((sheetView as ERMSheetView).DisplayType == eDisplayType)
                {
                    return (ERMSheetView)sheetView;
                }
            }
            return null;
        }

        internal int GetSheetIndex(EDisplayType eDisplayType)
        {
            for (int index = 0; index < Sheets.Count; index++)
            {
                System.Diagnostics.Debug.Assert(Sheets[index] is ERMSheetView);

                if ((Sheets[index] as ERMSheetView).DisplayType == eDisplayType)
                {
                    return index;
                }
            }

            System.Diagnostics.Debug.Assert(false);
            return -1;
        }
    }
}
